The endpoint for the Municipalities geography data.
Retrieve multiple Municipalities based on search criteria passed as GET Arguments
get/municipality/
Securityapi_key and username
Request
query Parameters
fips_code
integer <int64>
NOTE: Parameter accepts additional qualifiers appended to the end: fips_code__in - The value for the record is in the provided array parameter (comma-separated values). fips_code__gt, fips_code__gte, fips_code__lt, fips_code__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
full_fips_string
string
NOTE: Parameter accepts additional qualifiers appended to the end: full_fips_string__in - The value for the record is in the provided array parameter (comma-separated values). full_fips_string__contains, full_fips_string__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive) full_fips_string__startswith, full_fips_string__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive) full_fips_string__endswith, full_fips_string__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive) full_fips_string__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
id
integer <int64>
Quorum ID (Primary Key)
dehydrate
Array of strings
Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values. geojson - expand geojson with additional details. name - expand name with additional details. resource_uri - expand resource_uri with additional details. state_abbrev - expand state_abbrev with additional details. NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.
The number of records to offset the start of the data being returned (for pagination).
Responses
200
Municipality retrieved successfully
400
improperly configured request
401
authorization failure
500
internal server error
Response samples
200
application/json
{
"_extra": { },
"fips_code": 0,
"full_fips_string": "string",
"geojson": "string",
"id": 0,
"legislators": [
"/api/person/1/"
],
"name": "string",
"number": 0,
"number_string": "string",
"population": 0,
"resource_uri": "string",
"state_abbrev": "string"
}
Retrieve information on a single Municipality
get/municipality/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>
Quorum ID (Primary Key)
query Parameters
dehydrate
Array of strings
Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values. geojson - expand geojson with additional details. name - expand name with additional details. resource_uri - expand resource_uri with additional details. state_abbrev - expand state_abbrev with additional details. NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.